import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)

// 解决编程式路由往同一地址跳转时会报错的情况
const originalPush = Router.prototype.push;
const originalReplace = Router.prototype.replace;
 
// push
Router.prototype.push = function push(location, onResolve, onReject) {
  if (onResolve || onReject)
    return originalPush.call(this, location, onResolve, onReject);
  return originalPush.call(this, location).catch(err => err);
};
 
//replace
Router.prototype.replace = function push(location, onResolve, onReject) {
  if (onResolve || onReject)
    return originalReplace.call(this, location, onResolve, onReject);
  return originalReplace.call(this, location).catch(err => err);
};

export default new Router({
  routes: [
    {
      path: "/",
      name: 'toolbox',
      component: () => import("./views/ToolBox.vue")
    },
    {
      path: "/example",
      name: 'example',
      component: () => import("./views/Example.vue")
    },
    {
      path: "/shortcut",
      name: 'shortcut',
      component: () => import("./views/QuickAccess.vue")
    },
    {
      path: "/effectpreset",
      name: 'effectpreset',
      component: () => import("./views/EffectPreset.vue")
    },
    {
      path: "/effectpresetexporter",
      name: 'effectpresetexporter',
      component: () => import("./views/EffectPresetExporter.vue")
    },
    {
      path: "/pluginmarket",
      name: 'pluginmarket',
      component: () => import("./views/PluginMarket.vue")
    },
    {
      path: "/appsettings",
      name: 'appsettings',
      component: () => import("./views/AppSettings.vue")
    },
    {
      path: "/userlogin",
      name: 'userlogin',
      component: () => import("./views/Login.vue")
    },
    {
      path: "/userinfo",
      name: 'userinfo',
      component: () => import("./views/UserInfo.vue")
    }
  ]
});
