const VE_OneDStreamType = {
    kOneDecimal: 100,
    kTwoDecimal: 101,
    kInt: 102,
    kPercent: 103,
    kCheckBox: 104,
    kDropDownMenu: 105,
    kAngle: 106,
}

const VE_TwoDStreamType = {
    kTwoDOneDecimal: 200,
    kTwoDAngle: 201,
    kTwoDScale: 202,
}

const VE_ThreeDStreamType = {
    kThreeDOneDecimal: 300,
    kThreeDAngle: 301,
    kThreeDScale: 302,
}

export function getOneDType(matchName) {
    if (MatchNameOneDTypeMap.get(matchName)) {
        return MatchNameOneDTypeMap.get(matchName);
    }
}

export function getDropDownTextList(matchName) {
    if (getOneDType(matchName) === VE_OneDStreamType.kDropDownMenu) {
        return DropDownTextListMap.get(matchName);
    }
}

export const MatchNameOneDTypeMap = new Map([
    ['ADBE Time Remapping', VE_OneDStreamType.kTwoDecimal],
    ['ADBE Mask Opacity', VE_OneDStreamType.kPercent],
    ['ADBE Mask Offset', VE_OneDStreamType.kOneDecimal],
    ['ADBE Position_0', VE_OneDStreamType.kOneDecimal],
    ['ADBE Position_1', VE_OneDStreamType.kOneDecimal],
    ['ADBE Position_2', VE_OneDStreamType.kOneDecimal],
    ['ADBE Rotate X', VE_OneDStreamType.kAngle],
    ['ADBE Rotate Y', VE_OneDStreamType.kAngle],
    ['ADBE Rotate Z', VE_OneDStreamType.kAngle],
    ['ADBE Opacity', VE_OneDStreamType.kPercent],
    ['dropShadow/opacity', VE_OneDStreamType.kPercent],
    ['dropShadow/chokeMatte', VE_OneDStreamType.kPercent],
    ['dropShadow/noise', VE_OneDStreamType.kPercent],
    ['dropShadow/userGlobalAngle', VE_OneDStreamType.kCheckBox],
    ['dropShadow/layerConceals', VE_OneDStreamType.kCheckBox],
    ['dropShadow/localLightingAngle', VE_OneDStreamType.kAngle],
    ['dropShadow/distance', VE_OneDStreamType.kOneDecimal],
    ['dropShadow/blur', VE_OneDStreamType.kOneDecimal],
    ['dropShadow/mode2', VE_OneDStreamType.kDropDownMenu],
    ['solidFill/color', VE_OneDStreamType.kDropDownMenu],
    ['frameFX/mode2', VE_OneDStreamType.kDropDownMenu],
    ['solidFill/opacity', VE_OneDStreamType.kPercent],
    ['frameFX/opacity', VE_OneDStreamType.kPercent],
    ['frameFX/size', VE_OneDStreamType.kOneDecimal],
    ['frameFX/style', VE_OneDStreamType.kDropDownMenu],

    ['ADBE Text Anchor Point Option', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Render Order', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Character Blend Mode', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Reverse Path', VE_OneDStreamType.kCheckBox],
    ['ADBE Text Perpendicular To Path', VE_OneDStreamType.kCheckBox],
    ['ADBE Text Force Align Path', VE_OneDStreamType.kCheckBox],
    ['ADBE Text First Margin', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Last Margin', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Percent Start', VE_OneDStreamType.kPercent],
    ['ADBE Text Percent End', VE_OneDStreamType.kPercent],
    ['ADBE Text Percent Offset', VE_OneDStreamType.kPercent],
    ['ADBE Text Index Start', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Index End', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Index Offset', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Range Units', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Range Type2', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Selector Mode', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Selector Max Amount', VE_OneDStreamType.kPercent],
    ['ADBE Text Range Shape', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Selector Smoothness', VE_OneDStreamType.kPercent],
    ['ADBE Text Levels Max Ease', VE_OneDStreamType.kPercent],
    ['ADBE Text Levels Min Ease', VE_OneDStreamType.kPercent],
    ['ADBE Text Randomize Order', VE_OneDStreamType.kCheckBox],
    ['ADBE Text Random Seed', VE_OneDStreamType.kCheckBox],

    ['ADBE Text Wiggly Max Amount', VE_OneDStreamType.kPercent],
    ['ADBE Text Wiggly Min Amount', VE_OneDStreamType.kPercent],
    ['ADBE Text Temporal Freq', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Character Correlation', VE_OneDStreamType.kPercent],
    ['ADBE Text Temporal Phase', VE_OneDStreamType.kAngle],
    ['ADBE Text Spatial Phase', VE_OneDStreamType.kAngle],
    ['ADBE Text Wiggly Lock Dim', VE_OneDStreamType.kCheckBox],
    ['ADBE Text Wiggly Random Seed', VE_OneDStreamType.kInt],

    ['ADBE Text Skew', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Skew Axis', VE_OneDStreamType.kAngle],
    ['ADBE Text Rotation X', VE_OneDStreamType.kAngle],
    ['ADBE Text Rotation Y', VE_OneDStreamType.kAngle],
    ['ADBE Text Rotation', VE_OneDStreamType.kAngle],
    ['ADBE Text Opacity', VE_OneDStreamType.kPercent],
    ['ADBE Text Fill Opacity', VE_OneDStreamType.kPercent],
    ['ADBE Text Stroke Opacity', VE_OneDStreamType.kPercent],
    ['ADBE Text Fill Hue', VE_OneDStreamType.kAngle],
    ['ADBE Text Stroke Hue', VE_OneDStreamType.kAngle],
    ['ADBE Text Fill Saturation', VE_OneDStreamType.kPercent],
    ['ADBE Text Stroke Saturation', VE_OneDStreamType.kPercent],
    ['ADBE Text Fill Brightness', VE_OneDStreamType.kPercent],
    ['ADBE Text Stroke Brightness', VE_OneDStreamType.kPercent],
    ['ADBE Text Stroke Width', VE_OneDStreamType.kOneDecimal],
    ['ADBE Text Line Anchor', VE_OneDStreamType.kPercent],
    ['ADBE Text Track Type', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Tracking Amount', VE_OneDStreamType.kInt],
    ['ADBE Text Character Change Type', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Character Range', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Text Character Replace', VE_OneDStreamType.kInt],
    ['ADBE Text Character Offset', VE_OneDStreamType.kInt],

    ['ADBE Vector Skew', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Skew Axis', VE_OneDStreamType.kAngle],
    ['ADBE Vector Rotation', VE_OneDStreamType.kAngle],
    ['ADBE Vector Group Opacity', VE_OneDStreamType.kPercent],

    ['ADBE Vector Blend Mode', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Composite Order', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Stroke Opacity', VE_OneDStreamType.kPercent],
    ['ADBE Vector Stroke Width', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Line Cap', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Stroke Line Join', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Stroke Miter Limit', VE_OneDStreamType.kOneDecimal],

    ['ADBE Vector Fill Rule', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Fill Opacity', VE_OneDStreamType.kPercent],

    ['ADBE Vector Stroke Dash 1', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Gap 1', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Dash 2', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Gap 2', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Dash 3', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Gap 3', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Stroke Offset', VE_OneDStreamType.kOneDecimal],

    ['ADBE Vector Rect Roundness', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Star Type', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Star Points', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Star Rotation', VE_OneDStreamType.kAngle],
    ['ADBE Vector Star Inner Radius', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Star Outer Radius', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Star Inner Roundess', VE_OneDStreamType.kPercent],
    ['ADBE Vector Star Outer Roundess', VE_OneDStreamType.kPercent],
    ['ADBE Vector Merge Type', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Offset Amount', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Offset Line Join', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Offset Miter Limit', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector PuckerBloat Amount', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Repeater Copies', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Repeater Offset', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Repeater Order', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector RoundCorner Radius', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Trim Start', VE_OneDStreamType.kPercent],
    ['ADBE Vector Trim End', VE_OneDStreamType.kPercent],
    ['ADBE Vector Trim Offset', VE_OneDStreamType.kAngle],
    ['ADBE Vector Trim Type', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Twist Angle', VE_OneDStreamType.kOneDecimal],

    ['ADBE Vector Roughen Size', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Roughen Detail', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Roughen Points', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Vector Temporal Freq', VE_OneDStreamType.kOneDecimal],
    ['ADBE Vector Correlation', VE_OneDStreamType.kPercent],
    ['ADBE Vector Temporal Phase', VE_OneDStreamType.kAngle],
    ['ADBE Vector Spatial Phase', VE_OneDStreamType.kAngle],
    ['ADBE Vector Random Seed', VE_OneDStreamType.kInt],

    ['ADBE Vector Zigzag Size', VE_OneDStreamType.kOneDecimal], //大小
    ['ADBE Vector Zigzag Detail', VE_OneDStreamType.kOneDecimal], //每段的背脊
    ['ADBE Vector Zigzag Points', VE_OneDStreamType.kDropDownMenu], //点

    ['ADBE Vector Xform Temporal Freq', VE_OneDStreamType.kOneDecimal], //摇摆/秒
    ['ADBE Vector Correlation', VE_OneDStreamType.kPercent], //关联
    ['ADBE Vector Temporal Phase', VE_OneDStreamType.kAngle], //时间相位
    ['ADBE Vector Spatial Phase', VE_OneDStreamType.kAngle], //空间相位
    ['ADBE Vector Random Seed', VE_OneDStreamType.kInt], //随机植入

    ['ADBE Light Intensity', VE_OneDStreamType.kPercent],
    ['ADBE Light Cone Angle', VE_OneDStreamType.kAngle],
    ['ADBE Light Cone Feather 2', VE_OneDStreamType.kPercent],
    ['ADBE Light Falloff Type', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Light Falloff Start', VE_OneDStreamType.kOneDecimal],
    ['ADBE Light Falloff Distance', VE_OneDStreamType.kOneDecimal],
    ['ADBE Casts Shadows', VE_OneDStreamType.kCheckBox],
    ['ADBE Light Shadow Darkness', VE_OneDStreamType.kPercent],
    ['ADBE Light Shadow Diffusion', VE_OneDStreamType.kOneDecimal],

    ['ADBE Camera Zoom', VE_OneDStreamType.kOneDecimal],
    ['ADBE Camera Depth of Field', VE_OneDStreamType.kCheckBox],
    ['ADBE Camera Focus Distance', VE_OneDStreamType.kOneDecimal],
    ['ADBE Camera Aperture', VE_OneDStreamType.kOneDecimal],
    ['ADBE Camera Blur Level', VE_OneDStreamType.kPercent],
    ['ADBE Iris Shape', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Iris Rotation', VE_OneDStreamType.kAngle],
    ['ADBE Iris Roundness', VE_OneDStreamType.kPercent],
    ['ADBE Iris Aspect Ratio', VE_OneDStreamType.kOneDecimal],
    ['ADBE Iris Diffraction Fringe', VE_OneDStreamType.kOneDecimal],
    ['ADBE Iris Highlight Gain', VE_OneDStreamType.kOneDecimal],
    ['ADBE Iris Highlight Threshold', VE_OneDStreamType.kInt],
    ['ADBE Iris Hightlight Saturation', VE_OneDStreamType.kOneDecimal],

    ['CC Power Pin-0006', VE_OneDStreamType.kPercent],
    ['CC Power Pin-0007', VE_OneDStreamType.kCheckBox],
    ['CC Power Pin-0009', VE_OneDStreamType.kOneDecimal],
    ['CC Power Pin-0010', VE_OneDStreamType.kOneDecimal],
    ['CC Power Pin-0011', VE_OneDStreamType.kOneDecimal],
    ['CC Power Pin-0012', VE_OneDStreamType.kOneDecimal],

    ['VE_Gaussian_Blur-0001', VE_OneDStreamType.kInt],

    ['VE_Bilateral_Blur-0001', VE_OneDStreamType.kInt],

    ['ADBE Fast Blur-0001', VE_OneDStreamType.kOneDecimal],
    ['ADBE Fast Blur-0002', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Fast Blur-0003', VE_OneDStreamType.kCheckBox],

    ['ADBE Box Blur2-0001', VE_OneDStreamType.kOneDecimal],
    ['ADBE Box Blur2-0002', VE_OneDStreamType.kInt],
    ['ADBE Box Blur2-0003', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Box Blur2-0004', VE_OneDStreamType.kCheckBox],

    ['ADBE Gaussian Blur 2-0001', VE_OneDStreamType.kOneDecimal],
    ['ADBE Gaussian Blur 2-0002', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Gaussian Blur 2-0003', VE_OneDStreamType.kCheckBox],

    ['ADBE Gaussian Blur-0001', VE_OneDStreamType.kOneDecimal],
    ['ADBE Gaussian Blur-0002', VE_OneDStreamType.kDropDownMenu],

    ['ADBE BEZMESH-0014', VE_OneDStreamType.kInt],

    ['VE_Contrast-0001', VE_OneDStreamType.kTwoDecimal],
    ['VE_Contrast-0002', VE_OneDStreamType.kOneDecimal],

    ['VE_Gamma-0001', VE_OneDStreamType.kOneDecimal],

    ['VE_Hue_And_Saturation-0001', VE_OneDStreamType.kOneDecimal],
    ['VE_Hue_And_Saturation-0002', VE_OneDStreamType.kTwoDecimal],

    ['VE_Look_Up_Image-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Look_Up_Image-0003', VE_OneDStreamType.kOneDecimal],

    ['ADBE Remove Color Matting-0002', VE_OneDStreamType.kCheckBox],

    ['VE_Vignette-0003', VE_OneDStreamType.kInt],
    ['VE_Vignette-0003', VE_OneDStreamType.kInt],

    ['ADBE Tint-0003', VE_OneDStreamType.kPercent],

    ['ADBE Tritone-0004', VE_OneDStreamType.kPercent],

    ['ADBE Tile-0002', VE_OneDStreamType.kOneDecimal],
    ['ADBE Tile-0003', VE_OneDStreamType.kOneDecimal],
    ['ADBE Tile-0004', VE_OneDStreamType.kOneDecimal],
    ['ADBE Tile-0005', VE_OneDStreamType.kOneDecimal],
    ['ADBE Tile-0006', VE_OneDStreamType.kCheckBox],
    ['ADBE Tile-0007', VE_OneDStreamType.kAngle],
    ['ADBE Tile-0008', VE_OneDStreamType.kCheckBox],

    ['VE_Channel_Shift-0001', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Angle Control-0001', VE_OneDStreamType.kAngle],
    ['VE_Channel_Shift-0003', VE_OneDStreamType.kTwoDecimal],
    ['VE_Channel_Shift-0005', VE_OneDStreamType.kTwoDecimal],
    ['VE_Channel_Shift-0006', VE_OneDStreamType.kTwoDecimal],
    ['VE_Channel_Shift-0007', VE_OneDStreamType.kTwoDecimal],
    ['VE_Channel_Shift-0010', VE_OneDStreamType.kTwoDecimal],
    ['VE_Channel_Shift-0011', VE_OneDStreamType.kTwoDecimal],
    ['VE_Channel_Shift-0012', VE_OneDStreamType.kTwoDecimal],

    ['VE_Super_Frame-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Frame-0005', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0006', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0007', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0008', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0010', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Frame-0012', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0013', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0014', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0015', VE_OneDStreamType.kInt],
    ['VE_Super_Frame-0017', VE_OneDStreamType.kDropDownMenu],

    ['VIDEOCOPILOT VCReflect-0002', VE_OneDStreamType.kAngle],
    ['VIDEOCOPILOT VCReflect-0003', VE_OneDStreamType.kPercent],
    ['VIDEOCOPILOT VCReflect-0004', VE_OneDStreamType.kTwoDecimal],
    ['VIDEOCOPILOT VCReflect-0005', VE_OneDStreamType.kOneDecimal],
    ['VIDEOCOPILOT VCReflect-0007', VE_OneDStreamType.kPercent],
    ['VIDEOCOPILOT VCReflect-0008', VE_OneDStreamType.kDropDownMenu],
    ['VIDEOCOPILOT VCReflect-0009', VE_OneDStreamType.kOneDecimal],
    ['VIDEOCOPILOT VCReflect-0010', VE_OneDStreamType.kOneDecimal],
    ['VIDEOCOPILOT VCReflect-0011', VE_OneDStreamType.kTwoDecimal],
    ['VIDEOCOPILOT VCReflect-0012', VE_OneDStreamType.kDropDownMenu],

    ['ADBE Motion Blur-0001', VE_OneDStreamType.kAngle],
    ['ADBE Motion Blur-0002', VE_OneDStreamType.kOneDecimal],

    ['VE_Super_Mosaic-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Mosaic-0009', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Mosaic-0002', VE_OneDStreamType.kInt],
    ['VE_Super_Mosaic-0005', VE_OneDStreamType.kInt],
    ['VE_Super_Mosaic-0006', VE_OneDStreamType.kInt],
    ['VE_Super_Mosaic-0008', VE_OneDStreamType.kInt],
    ['VE_Super_Mosaic-1010', VE_OneDStreamType.kInt],
    ['VE_Super_Mosaic-0004', VE_OneDStreamType.kPercent],
    ['VE_Super_Mosaic-0007', VE_OneDStreamType.kPercent],
    ['VE_Super_Mosaic-0010', VE_OneDStreamType.kPercent],
    ['VE_Super_Mosaic-0003', VE_OneDStreamType.kOneDecimal],
    ['VE_Super_Mosaic-0012', VE_OneDStreamType.kAngle],
    ['VE_Super_Mosaic-0015', VE_OneDStreamType.kCheckBox],

    ['VE_Super_Glitch-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Glitch-0002', VE_OneDStreamType.kOneDecimal],

    ['ADBE Venetian Blinds-0001', VE_OneDStreamType.kPercent],
    ['ADBE Venetian Blinds-0002', VE_OneDStreamType.kAngle],
    ['ADBE Venetian Blinds-0003', VE_OneDStreamType.kInt],
    ['ADBE Venetian Blinds-0004', VE_OneDStreamType.kOneDecimal],

    ['CC Radial Blur-0001', VE_OneDStreamType.kDropDownMenu],
    ['CC Radial Blur-0002', VE_OneDStreamType.kOneDecimal],
    ['CC Radial Blur-0003', VE_OneDStreamType.kOneDecimal],

    ['VE_Face_Touch-0001', VE_OneDStreamType.kInt],
    ['VE_Face_Touch-0002', VE_OneDStreamType.kPercent],
    ['VE_Face_Touch-0003', VE_OneDStreamType.kPercent],
    ['VE_Face_Touch-0004', VE_OneDStreamType.kPercent],
    ['VE_Face_Touch-0005', VE_OneDStreamType.kPercent],

    ['VE_Shape_Echo-0007', VE_OneDStreamType.kCheckBox],
    ['VE_Shape_Echo-0005', VE_OneDStreamType.kAngle],
    ['VE_Shape_Echo-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Shape_Echo-0006', VE_OneDStreamType.kDropDownMenu],
    ['VE_Shape_Echo-0009', VE_OneDStreamType.kDropDownMenu],
    ['VE_Shape_Echo-0002', VE_OneDStreamType.kInt],
    ['VE_Shape_Echo-0003', VE_OneDStreamType.kInt],
    ['VE_Shape_Echo-0010', VE_OneDStreamType.kInt],
    ['VE_Shape_Echo-0013', VE_OneDStreamType.kInt],
    ['VE_Shape_Echo-0018', VE_OneDStreamType.kInt],
    ['VE_Shape_Echo-0012', VE_OneDStreamType.kPercent],
    ['VE_Shape_Echo-0015', VE_OneDStreamType.kPercent],
    ['VE_Shape_Echo-0023', VE_OneDStreamType.kPercent],
    ['VE_Shape_Echo-0024', VE_OneDStreamType.kPercent],
    ['VE_Shape_Echo-0026', VE_OneDStreamType.kPercent],
    ['VE_Shape_Echo-0021', VE_OneDStreamType.kOneDecimal],
    ['VE_Shape_Echo-0022', VE_OneDStreamType.kOneDecimal],
    ['VE_Shape_Echo-1021', VE_OneDStreamType.kOneDecimal],
    ['VE_Shape_Echo-1022', VE_OneDStreamType.kOneDecimal],
    ['VE_Shape_Echo-0025', VE_OneDStreamType.kOneDecimal],

    ['VE_Half_Tone-0001', VE_OneDStreamType.kInt],
    ['VE_Half_Tone-0002', VE_OneDStreamType.kAngle],
    ['VE_Half_Tone-0006', VE_OneDStreamType.kCheckBox],
    ['VE_Half_Tone-0007', VE_OneDStreamType.kDropDownMenu],
    ['VE_Half_Tone-0008', VE_OneDStreamType.kPercent],
    ['VE_Half_Tone-0009', VE_OneDStreamType.kCheckBox],

    ['VE_Money_Filter-0001', VE_OneDStreamType.kInt],
    ['VE_Money_Filter-0002', VE_OneDStreamType.kInt],
    ['VE_Money_Filter-1002', VE_OneDStreamType.kPercent],
    ['VE_Money_Filter-0005', VE_OneDStreamType.kCheckBox],
    ['VE_Money_Filter-0007', VE_OneDStreamType.kCheckBox],

    ['VE_Simple_Cylinder-0002', VE_OneDStreamType.kInt],
    ['VE_Simple_Cylinder-0003', VE_OneDStreamType.kInt],
    ['VE_Simple_Cylinder-0004', VE_OneDStreamType.kInt],
    ['VE_Simple_Cylinder-0005', VE_OneDStreamType.kInt],
    ['VE_Simple_Cylinder-0006', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0007', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0009', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0010', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0011', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0012', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0025', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0026', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0027', VE_OneDStreamType.kPercent],
    ['VE_Simple_Cylinder-0015', VE_OneDStreamType.kOneDecimal],
    ['VE_Simple_Cylinder-0016', VE_OneDStreamType.kOneDecimal],
    ['VE_Simple_Cylinder-0017', VE_OneDStreamType.kOneDecimal],
    ['VE_Simple_Cylinder-0020', VE_OneDStreamType.kAngle],
    ['VE_Simple_Cylinder-0021', VE_OneDStreamType.kAngle],
    ['VE_Simple_Cylinder-0022', VE_OneDStreamType.kAngle],

    ['VE_Chroma_Key-0002', VE_OneDStreamType.kInt],
    ['VE_Chroma_Key-0003', VE_OneDStreamType.kInt],
    ['VE_Chroma_Key-0004', VE_OneDStreamType.kInt],

    ['VE_Fill-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Fill-0005', VE_OneDStreamType.kInt],
    ['VE_Fill-0007', VE_OneDStreamType.kAngle],
    ['VE_Fill-0008', VE_OneDStreamType.kPercent],
    ['VE_Fill-0010', VE_OneDStreamType.kDropDownMenu],
    ['VE_Fill-0014', VE_OneDStreamType.kPercent],
    ['VE_Fill-0015', VE_OneDStreamType.kPercent],
    ['VE_Fill-0019', VE_OneDStreamType.kPercent],
    ['VE_Fill-0020', VE_OneDStreamType.kPercent],
    ['VE_Fill-0024', VE_OneDStreamType.kPercent],
    ['VE_Fill-0025', VE_OneDStreamType.kPercent],
    ['VE_Fill-0029', VE_OneDStreamType.kPercent],
    ['VE_Fill-0030', VE_OneDStreamType.kPercent],
    ['VE_Fill-0034', VE_OneDStreamType.kPercent],
    ['VE_Fill-0035', VE_OneDStreamType.kPercent],
    ['VE_Fill-0039', VE_OneDStreamType.kPercent],
    ['VE_Fill-0040', VE_OneDStreamType.kPercent],
    ['VE_Fill-0044', VE_OneDStreamType.kPercent],
    ['VE_Fill-0045', VE_OneDStreamType.kPercent],
    ['VE_Fill-0049', VE_OneDStreamType.kPercent],
    ['VE_Fill-0050', VE_OneDStreamType.kPercent],
    ['VE_Fill-0054', VE_OneDStreamType.kPercent],
    ['VE_Fill-0055', VE_OneDStreamType.kPercent],
    ['VE_Fill-0059', VE_OneDStreamType.kPercent],
    ['VE_Fill-0060', VE_OneDStreamType.kPercent],
    ['VE_Fill-0064', VE_OneDStreamType.kPercent],
    ['VE_Fill-0065', VE_OneDStreamType.kPercent],

    ['VE_Super_Pattern-0001', VE_OneDStreamType.kInt],
    ['VE_Super_Pattern-0002', VE_OneDStreamType.kInt],
    ['VE_Super_Pattern-0003', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0006', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0007', VE_OneDStreamType.kCheckBox],
    ['VE_Super_Pattern-0008', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0010', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0011', VE_OneDStreamType.kAngle],
    ['VE_Super_Pattern-0012', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0013', VE_OneDStreamType.kOneDecimal],
    ['VE_Super_Pattern-0016', VE_OneDStreamType.kOneDecimal],
    ['VE_Super_Pattern-0017', VE_OneDStreamType.kOneDecimal],
    ['VE_Super_Pattern-0018', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0019', VE_OneDStreamType.kCheckBox],
    ['VE_Super_Pattern-0020', VE_OneDStreamType.kInt],
    ['VE_Super_Pattern-0023', VE_OneDStreamType.kAngle],
    ['VE_Super_Pattern-0024', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0025', VE_OneDStreamType.kInt],
    ['VE_Super_Pattern-0028', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0029', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0030', VE_OneDStreamType.kInt],
    ['VE_Super_Pattern-0033', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0034', VE_OneDStreamType.kPercent],
    ['VE_Super_Pattern-0035', VE_OneDStreamType.kInt],
    ['VE_Super_Pattern-0039', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0040', VE_OneDStreamType.kOneDecimal],
    ['VE_Super_Pattern-0043', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0044', VE_OneDStreamType.kDropDownMenu],
    ['VE_Super_Pattern-0045', VE_OneDStreamType.kOneDecimal],
    ['VE_Super_Pattern-0046', VE_OneDStreamType.kOneDecimal],

    ['VE_Transition_Kit-0002', VE_OneDStreamType.kDropDownMenu],
    ['VE_Transition_Kit-0003', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0006', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0007', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0008', VE_OneDStreamType.kDropDownMenu],
    ['VE_Transition_Kit-0009', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0010', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0011', VE_OneDStreamType.kDropDownMenu],
    ['VE_Transition_Kit-0012', VE_OneDStreamType.kAngle],
    ['VE_Transition_Kit-0013', VE_OneDStreamType.kDropDownMenu],
    ['VE_Transition_Kit-0016', VE_OneDStreamType.kOneDecimal],
    ['VE_Transition_Kit-0017', VE_OneDStreamType.kAngle],
    ['VE_Transition_Kit-0018', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0019', VE_OneDStreamType.kInt],
    ['VE_Transition_Kit-0020', VE_OneDStreamType.kCheckBox],
    ['VE_Transition_Kit-0023', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0024', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0025', VE_OneDStreamType.kDropDownMenu],
    ['VE_Transition_Kit-0029', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0030', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0031', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0032', VE_OneDStreamType.kPercent],
    ['VE_Transition_Kit-0033', VE_OneDStreamType.kPercent],

    ['VE_Simple_Box-0003', VE_OneDStreamType.kCheckBox],
    ['VE_Simple_Box-0008', VE_OneDStreamType.kCheckBox],
    ['VE_Simple_Box-0013', VE_OneDStreamType.kCheckBox],
    ['VE_Simple_Box-0018', VE_OneDStreamType.kCheckBox],
    ['VE_Simple_Box-0023', VE_OneDStreamType.kCheckBox],
    ['VE_Simple_Box-0028', VE_OneDStreamType.kCheckBox],
    ['VE_Simple_Box-0005', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0010', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0015', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0020', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0025', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0030', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0034', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0035', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0036', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0037', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0050', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0051', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0052', VE_OneDStreamType.kPercent],
    ['VE_Simple_Box-0040', VE_OneDStreamType.kOneDecimal],
    ['VE_Simple_Box-0041', VE_OneDStreamType.kOneDecimal],
    ['VE_Simple_Box-0042', VE_OneDStreamType.kOneDecimal],
    ['VE_Simple_Box-0045', VE_OneDStreamType.kAngle],
    ['VE_Simple_Box-0046', VE_OneDStreamType.kAngle],
    ['VE_Simple_Box-0047', VE_OneDStreamType.kAngle],

    ['VE_Displacement_Map-0002', VE_OneDStreamType.kDropDownMenu],
    ['VE_Displacement_Map-0004', VE_OneDStreamType.kInt],
    ['VE_Displacement_Map-0005', VE_OneDStreamType.kInt],
    ['VE_Displacement_Map-0006', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0007', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0008', VE_OneDStreamType.kAngle],
    ['VE_Displacement_Map-0009', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0010', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0011', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0012', VE_OneDStreamType.kInt],
    ['VE_Displacement_Map-0013', VE_OneDStreamType.kInt],
    ['VE_Displacement_Map-0017', VE_OneDStreamType.kDropDownMenu],
    ['VE_Displacement_Map-0019', VE_OneDStreamType.kOneDecimal],
    ['VE_Displacement_Map-0020', VE_OneDStreamType.kCheckBox],
    ['VE_Displacement_Map-0021', VE_OneDStreamType.kCheckBox],
    ['VE_Displacement_Map-0024', VE_OneDStreamType.kCheckBox],
    ['VE_Displacement_Map-0025', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0026', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0027', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0028', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0029', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0030', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0031', VE_OneDStreamType.kAngle],
    ['VE_Displacement_Map-0032', VE_OneDStreamType.kPercent],
    ['VE_Displacement_Map-0033', VE_OneDStreamType.kDropDownMenu],
    ['VE_Displacement_Map-0034', VE_OneDStreamType.kPercent],

    ['VE_Glow-0001', VE_OneDStreamType.kPercent],
    ['VE_Glow-0002', VE_OneDStreamType.kPercent],
    ['VE_Glow-0003', VE_OneDStreamType.kPercent],
    ['VE_Glow-0004', VE_OneDStreamType.kDropDownMenu],

    ['VE_Fast_Blur-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Fast_Blur-0002', VE_OneDStreamType.kInt],

    ['VE_Linear_Wipe-0001', VE_OneDStreamType.kPercent],
    ['VE_Linear_Wipe-0002', VE_OneDStreamType.kAngle],
    ['VE_Linear_Wipe-0003', VE_OneDStreamType.kInt],
    ['VE_Linear_Wipe-0004', VE_OneDStreamType.kDropDownMenu],
    ['VE_Linear_Wipe-0005', VE_OneDStreamType.kInt],

    ['VE_Slicer-0001', VE_OneDStreamType.kInt],
    ['VE_Slicer-0002', VE_OneDStreamType.kAngle],
    ['VE_Slicer-0003', VE_OneDStreamType.kPercent],
    ['VE_Slicer-0004', VE_OneDStreamType.kInt],
    ['VE_Slicer-0005', VE_OneDStreamType.kPercent],
    ['VE_Slicer-0006', VE_OneDStreamType.kInt],
    ['VE_Slicer-0007', VE_OneDStreamType.kCheckBox],
    ['VE_Slicer-0011', VE_OneDStreamType.kPercent],
    ['VE_Slicer-0009', VE_OneDStreamType.kInt],
    ['VE_Slicer-0010', VE_OneDStreamType.kDropDownMenu],

    ['VE_Neon-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Neon-0002', VE_OneDStreamType.kInt],
    ['VE_Neon-0003', VE_OneDStreamType.kInt],
    ['VE_Neon-0004', VE_OneDStreamType.kInt],
    ['VE_Neon-0005', VE_OneDStreamType.kInt],
    ['VE_Neon-0007', VE_OneDStreamType.kDropDownMenu],
    ['VE_Neon-0008', VE_OneDStreamType.kPercent],
    ['VE_Neon-0009', VE_OneDStreamType.kInt],
    ['VE_Neon-0012', VE_OneDStreamType.kDropDownMenu],
    ['VE_Neon-0013', VE_OneDStreamType.kInt],
    ['VE_Neon-0022', VE_OneDStreamType.kInt],
    ['VE_Neon-0025', VE_OneDStreamType.kInt],
    ['VE_Neon-0026', VE_OneDStreamType.kPercent],
    ['VE_Neon-0027', VE_OneDStreamType.kPercent],
    ['VE_Neon-0028', VE_OneDStreamType.kInt],
    ['VE_Neon-0030', VE_OneDStreamType.kInt],
    ['VE_Neon-0031', VE_OneDStreamType.kDropDownMenu],
    ['VE_Neon-0032', VE_OneDStreamType.kDropDownMenu],

    ['VE_3D_Bevel-0002', VE_OneDStreamType.kOneDecimal],
    ['VE_3D_Bevel-0003', VE_OneDStreamType.kOneDecimal],
    ['VE_3D_Bevel-0004', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0005', VE_OneDStreamType.kTwoDecimal],
    ['VE_3D_Bevel-0006', VE_OneDStreamType.kInt],
    ['VE_3D_Bevel-0007', VE_OneDStreamType.kInt],
    ['VE_3D_Bevel-0011', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0012', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0015', VE_OneDStreamType.kDropDownMenu],
    ['VE_3D_Bevel-0018', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0019', VE_OneDStreamType.kAngle],
    ['VE_3D_Bevel-0020', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0021', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0022', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0023', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0024', VE_OneDStreamType.kDropDownMenu],
    ['VE_3D_Bevel-0038', VE_OneDStreamType.kDropDownMenu],
    ['VE_3D_Bevel-0027', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0029', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0040', VE_OneDStreamType.kDropDownMenu],
    ['VE_3D_Bevel-0033', VE_OneDStreamType.kPercent],
    ['VE_3D_Bevel-0035', VE_OneDStreamType.kPercent],

    ['ADBE Linear Wipe-0001', VE_OneDStreamType.kPercent],
    ['ADBE Linear Wipe-0002', VE_OneDStreamType.kAngle],
    ['ADBE Linear Wipe-0003', VE_OneDStreamType.kOneDecimal],

    ['CC Radial ScaleWipe-0001', VE_OneDStreamType.kPercent],
    ['CC Radial ScaleWipe-0003', VE_OneDStreamType.kCheckBox],

    ['CC Light Wipe-0001', VE_OneDStreamType.kPercent],
    ['CC Light Wipe-0003', VE_OneDStreamType.kOneDecimal],
    ['CC Light Wipe-0004', VE_OneDStreamType.kDropDownMenu],
    ['CC Light Wipe-0006', VE_OneDStreamType.kCheckBox],
    ['CC Light Wipe-0008', VE_OneDStreamType.kCheckBox],

    ['ADBE Angle Control-0001', VE_OneDStreamType.kAngle],
    ['ADBE Slider Control-0001', VE_OneDStreamType.kTwoDecimal],
    ['ADBE Checkbox Control-0001', VE_OneDStreamType.kCheckBox],

    ['VE_Camera_Blur-0001', VE_OneDStreamType.kDropDownMenu],
    ['VE_Camera_Blur-0002', VE_OneDStreamType.kInt],
    ['VE_Camera_Blur-0006', VE_OneDStreamType.kCheckBox],
    ['VE_Camera_Blur-0007', VE_OneDStreamType.kDropDownMenu],
    ['VE_Camera_Blur-0009', VE_OneDStreamType.kInt],
    ['VE_Camera_Blur-0011', VE_OneDStreamType.kPercent],
    ['VE_Camera_Blur-0012', VE_OneDStreamType.kPercent],
    ['VE_Camera_Blur-0013', VE_OneDStreamType.kAngle],
    ['VE_Camera_Blur-0014', VE_OneDStreamType.kPercent],
    ['VE_Camera_Blur-0015', VE_OneDStreamType.kCheckBox],
    ['VE_Camera_Blur-0003', VE_OneDStreamType.kDropDownMenu],
    ['VE_Camera_Blur-0004', VE_OneDStreamType.kOneDecimal],

    ['VE_SuperGrid-0002', VE_OneDStreamType.kDropDownMenu],
    ['VE_SuperGrid-0003', VE_OneDStreamType.kDropDownMenu],
    ['VE_SuperGrid-0004', VE_OneDStreamType.kTwoDecimal],
    ['VE_SuperGrid-0005', VE_OneDStreamType.kTwoDecimal],
    ['VE_SuperGrid-0033', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0034', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0035', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0036', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0037', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0038', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0039', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0040', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0041', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0045', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0046', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0047', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0051', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0052', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0053', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0057', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0058', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0059', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0063', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0064', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0065', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0069', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0070', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0071', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0075', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0076', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0077', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0081', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0082', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0083', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0087', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0088', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0089', VE_OneDStreamType.kPercent],
    ['VE_SuperGrid-0093', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0094', VE_OneDStreamType.kInt],
    ['VE_SuperGrid-0095', VE_OneDStreamType.kPercent],

    ['VE_Glass-0002', VE_OneDStreamType.kDropDownMenu],
    ['VE_Glass-0004', VE_OneDStreamType.kDropDownMenu],
    ['VE_Glass-0005', VE_OneDStreamType.kPercent],
    ['VE_Glass-0006', VE_OneDStreamType.kPercent],
    ['VE_Glass-0007', VE_OneDStreamType.kPercent],
    ['VE_Glass-0009', VE_OneDStreamType.kInt],
    ['VE_Glass-0010', VE_OneDStreamType.kInt],
    ['VE_Glass-0011', VE_OneDStreamType.kPercent],
    ['VE_Glass-0012', VE_OneDStreamType.kPercent],
    ['VE_Glass-0013', VE_OneDStreamType.kAngle],
    ['VE_Glass-0014', VE_OneDStreamType.kPercent],
    ['VE_Glass-0015', VE_OneDStreamType.kPercent],
    ['VE_Glass-0016', VE_OneDStreamType.kPercent],
    ['VE_Glass-0017', VE_OneDStreamType.kInt],
    ['VE_Glass-0018', VE_OneDStreamType.kInt],
    ['VE_Glass-0020', VE_OneDStreamType.kOneDecimal],
    ['VE_Glass-0021', VE_OneDStreamType.kPercent],
    ['VE_Glass-0022', VE_OneDStreamType.kPercent],
    ['VE_Glass-0023', VE_OneDStreamType.kAngle],
    ['VE_Glass-0024', VE_OneDStreamType.kInt],
    ['VE_Glass-0025', VE_OneDStreamType.kPercent],
    ['VE_Glass-0026', VE_OneDStreamType.kDropDownMenu],
    ['VE_Glass-0029', VE_OneDStreamType.kPercent],
    ['VE_Glass-0030', VE_OneDStreamType.kPercent],
    ['VE_Glass-0031', VE_OneDStreamType.kAngle],
    ['VE_Glass-0033', VE_OneDStreamType.kInt],
    ['VE_Glass-0034', VE_OneDStreamType.kInt],
    ['VE_Glass-0035', VE_OneDStreamType.kInt],
    ['VE_Glass-0036', VE_OneDStreamType.kAngle],
    ['VE_Glass-0037', VE_OneDStreamType.kAngle],
    ['VE_Glass-0038', VE_OneDStreamType.kAngle],
    ['VE_Glass-0041', VE_OneDStreamType.kOneDecimal],
    ['VE_Glass-0042', VE_OneDStreamType.kCheckBox],

    ['VE_Pixel_Screen-0002', VE_OneDStreamType.kAngle],
    ['VE_Pixel_Screen-0003', VE_OneDStreamType.kDropDownMenu],
    ['VE_Pixel_Screen-0004', VE_OneDStreamType.kPercent],
    ['VE_Pixel_Screen-0005', VE_OneDStreamType.kInt],
    ['VE_Pixel_Screen-0006', VE_OneDStreamType.kPercent],
    ['VE_Pixel_Screen-0007', VE_OneDStreamType.kPercent],
    ['VE_Pixel_Screen-0008', VE_OneDStreamType.kPercent],

    ['VE_Game_Screen-0002', VE_OneDStreamType.kDropDownMenu],
    ['VE_Game_Screen-0003', VE_OneDStreamType.kInt],

    ['CC Image Wipe-0001', VE_OneDStreamType.kPercent],
    ['CC Image Wipe-0002', VE_OneDStreamType.kPercent],
    ['CC Image Wipe-0003', VE_OneDStreamType.kCheckBox],
    ['CC Image Wipe-0006', VE_OneDStreamType.kDropDownMenu],
    ['CC Image Wipe-0004', VE_OneDStreamType.kOneDecimal],
    ['CC Image Wipe-0007', VE_OneDStreamType.kCheckBox],

    ['ADBE Threshold2-0001', VE_OneDStreamType.kPercent],

    ['ADBE Shift Channels-0001', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Shift Channels-0002', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Shift Channels-0003', VE_OneDStreamType.kDropDownMenu],
    ['ADBE Shift Channels-0004', VE_OneDStreamType.kDropDownMenu],

    //材质:
    ['VE_Quick3D-0004', VE_OneDStreamType.kDropDownMenu],
    //模型类型:
    ['VE_Quick3D-0005', VE_OneDStreamType.kDropDownMenu],
    //模型图层:
    ['VE_Quick3D-0006', VE_OneDStreamType.kDropDownMenu],
    //挤出深度:
    ['VE_Quick3D-0008', VE_OneDStreamType.kOneDecimal],
    //挤出洞:
    ['VE_Quick3D-0009', VE_OneDStreamType.kCheckBox],
    //洞厚度:
    ['VE_Quick3D-0010', VE_OneDStreamType.kOneDecimal],
    //半径:
    ['VE_Quick3D-0012', VE_OneDStreamType.kInt],
    //宽度:
    ['VE_Quick3D-0013', VE_OneDStreamType.kInt],
    //高度:
    ['VE_Quick3D-0014', VE_OneDStreamType.kInt],
    //深度:
    ['VE_Quick3D-0015', VE_OneDStreamType.kInt],
    //厚度:
    ['VE_Quick3D-0016', VE_OneDStreamType.kInt],
    //前面倒角样式:
    ['VE_Quick3D-0018', VE_OneDStreamType.kDropDownMenu],
    //前面倒角半径:
    ['VE_Quick3D-0019', VE_OneDStreamType.kInt],
    //后面倒角样式:
    ['VE_Quick3D-0020', VE_OneDStreamType.kDropDownMenu],
    //后面倒角半径:
    ['VE_Quick3D-0021', VE_OneDStreamType.kInt],
    //表面高度:
    ['VE_Quick3D-0022', VE_OneDStreamType.kInt],
    //表面曲度:
    ['VE_Quick3D-0023', VE_OneDStreamType.kTwoDecimal],
    //开启弯曲和扭曲:
    ['VE_Quick3D-0026', VE_OneDStreamType.kCheckBox],
    //弯曲轴:
    ['VE_Quick3D-0027', VE_OneDStreamType.kDropDownMenu],
    //弯曲半径:
    ['VE_Quick3D-0028', VE_OneDStreamType.kOneDecimal],
    //弯曲方向:
    ['VE_Quick3D-0029', VE_OneDStreamType.kAngle],
    //扭曲角度:
    ['VE_Quick3D-0030', VE_OneDStreamType.kAngle],
    //开启侵蚀:
    ['VE_Quick3D-0033', VE_OneDStreamType.kCheckBox],
    //侵蚀等级:
    ['VE_Quick3D-0034', VE_OneDStreamType.kDropDownMenu],
    //侵蚀范围:
    ['VE_Quick3D-0035', VE_OneDStreamType.kInt],
    //侵蚀强度:
    ['VE_Quick3D-0036', VE_OneDStreamType.kTwoDecimal],
    //侵蚀随机种子:
    ['VE_Quick3D-0037', VE_OneDStreamType.kInt],
    //Enable Replication:
    ['VE_Quick3D-0040', VE_OneDStreamType.kCheckBox],
    //Rows:
    ['VE_Quick3D-0041', VE_OneDStreamType.kInt],
    //Row Interval:
    ['VE_Quick3D-0042', VE_OneDStreamType.kInt],
    //Columns:
    ['VE_Quick3D-0043', VE_OneDStreamType.kInt],
    //Column Interval:
    ['VE_Quick3D-0044', VE_OneDStreamType.kInt],
    //Depths:
    ['VE_Quick3D-0045', VE_OneDStreamType.kInt],
    //Depth Interval:
    ['VE_Quick3D-0046', VE_OneDStreamType.kInt],
    //Position Random:
    ['VE_Quick3D-0048', VE_OneDStreamType.kPercent],
    //Scale Random:
    ['VE_Quick3D-0049', VE_OneDStreamType.kPercent],
    //Rotation Random:
    ['VE_Quick3D-0050', VE_OneDStreamType.kPercent],
    //Random Seed:
    ['VE_Quick3D-0051', VE_OneDStreamType.kInt],
    //X位移:
    ['VE_Quick3D-0055', VE_OneDStreamType.kInt],
    //Y位移:
    ['VE_Quick3D-0056', VE_OneDStreamType.kInt],
    //Z位移:
    ['VE_Quick3D-0057', VE_OneDStreamType.kInt],
    //X旋转:
    ['VE_Quick3D-0058', VE_OneDStreamType.kAngle],
    //Y旋转:
    ['VE_Quick3D-0059', VE_OneDStreamType.kAngle],
    //Z旋转:
    ['VE_Quick3D-0060', VE_OneDStreamType.kAngle],
    //X缩放:
    ['VE_Quick3D-0061', VE_OneDStreamType.kInt],
    //Y缩放:
    ['VE_Quick3D-0062', VE_OneDStreamType.kInt],
    //Z缩放:
    ['VE_Quick3D-0063', VE_OneDStreamType.kInt],
    //材质:
    ['VE_Quick3D-0067', VE_OneDStreamType.kDropDownMenu],
    //模型类型:
    ['VE_Quick3D-0068', VE_OneDStreamType.kDropDownMenu],
    //模型图层:
    ['VE_Quick3D-0069', VE_OneDStreamType.kDropDownMenu],
    //挤出深度:
    ['VE_Quick3D-0071', VE_OneDStreamType.kOneDecimal],
    //挤出洞:
    ['VE_Quick3D-0072', VE_OneDStreamType.kCheckBox],
    //洞厚度:
    ['VE_Quick3D-0073', VE_OneDStreamType.kOneDecimal],
    //半径:
    ['VE_Quick3D-0075', VE_OneDStreamType.kInt],
    //宽度:
    ['VE_Quick3D-0076', VE_OneDStreamType.kInt],
    //高度:
    ['VE_Quick3D-0077', VE_OneDStreamType.kInt],
    //深度:
    ['VE_Quick3D-0078', VE_OneDStreamType.kInt],
    //厚度:
    ['VE_Quick3D-0079', VE_OneDStreamType.kInt],
    //前面倒角样式:
    ['VE_Quick3D-0081', VE_OneDStreamType.kDropDownMenu],
    //前面倒角半径:
    ['VE_Quick3D-0082', VE_OneDStreamType.kInt],
    //后面倒角样式:
    ['VE_Quick3D-0083', VE_OneDStreamType.kDropDownMenu],
    //后面倒角半径:
    ['VE_Quick3D-0084', VE_OneDStreamType.kInt],
    //表面高度:
    ['VE_Quick3D-0085', VE_OneDStreamType.kInt],
    //表面曲度:
    ['VE_Quick3D-0086', VE_OneDStreamType.kTwoDecimal],
    //开启弯曲和扭曲:
    ['VE_Quick3D-0089', VE_OneDStreamType.kCheckBox],
    //弯曲轴:
    ['VE_Quick3D-0090', VE_OneDStreamType.kDropDownMenu],
    //弯曲半径:
    ['VE_Quick3D-0091', VE_OneDStreamType.kOneDecimal],
    //弯曲方向:
    ['VE_Quick3D-0092', VE_OneDStreamType.kAngle],
    //扭曲角度:
    ['VE_Quick3D-0093', VE_OneDStreamType.kAngle],
    //开启侵蚀:
    ['VE_Quick3D-0096', VE_OneDStreamType.kCheckBox],
    //侵蚀等级:
    ['VE_Quick3D-0097', VE_OneDStreamType.kDropDownMenu],
    //侵蚀范围:
    ['VE_Quick3D-0098', VE_OneDStreamType.kInt],
    //侵蚀强度:
    ['VE_Quick3D-0099', VE_OneDStreamType.kTwoDecimal],
    //侵蚀随机种子:
    ['VE_Quick3D-0100', VE_OneDStreamType.kInt],
    //Enable Replication:
    ['VE_Quick3D-0103', VE_OneDStreamType.kCheckBox],
    //Rows:
    ['VE_Quick3D-0104', VE_OneDStreamType.kInt],
    //Row Interval:
    ['VE_Quick3D-0105', VE_OneDStreamType.kInt],
    //Columns:
    ['VE_Quick3D-0106', VE_OneDStreamType.kInt],
    //Column Interval:
    ['VE_Quick3D-0107', VE_OneDStreamType.kInt],
    //Depths:
    ['VE_Quick3D-0108', VE_OneDStreamType.kInt],
    //Depth Interval:
    ['VE_Quick3D-0109', VE_OneDStreamType.kInt],
    //Position Random:
    ['VE_Quick3D-0111', VE_OneDStreamType.kPercent],
    //Scale Random:
    ['VE_Quick3D-0112', VE_OneDStreamType.kPercent],
    //Rotation Random:
    ['VE_Quick3D-0113', VE_OneDStreamType.kPercent],
    //Random Seed:
    ['VE_Quick3D-0114', VE_OneDStreamType.kInt],
    //X位移:
    ['VE_Quick3D-0118', VE_OneDStreamType.kInt],
    //Y位移:
    ['VE_Quick3D-0119', VE_OneDStreamType.kInt],
    //Z位移:
    ['VE_Quick3D-0120', VE_OneDStreamType.kInt],
    //X旋转:
    ['VE_Quick3D-0121', VE_OneDStreamType.kAngle],
    //Y旋转:
    ['VE_Quick3D-0122', VE_OneDStreamType.kAngle],
    //Z旋转:
    ['VE_Quick3D-0123', VE_OneDStreamType.kAngle],
    //X缩放:
    ['VE_Quick3D-0124', VE_OneDStreamType.kInt],
    //Y缩放:
    ['VE_Quick3D-0125', VE_OneDStreamType.kInt],
    //Z缩放:
    ['VE_Quick3D-0126', VE_OneDStreamType.kInt],
    //模型混合:
    ['VE_Quick3D-0129', VE_OneDStreamType.kDropDownMenu],
    //模型混合强度:
    ['VE_Quick3D-0130', VE_OneDStreamType.kInt],
    //ML1质量:
    ['VE_Quick3D-0135', VE_OneDStreamType.kDropDownMenu],
    //ML1平滑:
    ['VE_Quick3D-0136', VE_OneDStreamType.kInt],
    //ML1表面采样通道:
    ['VE_Quick3D-0137', VE_OneDStreamType.kDropDownMenu],
    //ML1表面与边缘混合宽度:
    ['VE_Quick3D-0138', VE_OneDStreamType.kInt],
    //ML1表面平滑:
    ['VE_Quick3D-0139', VE_OneDStreamType.kCheckBox],
    //ML2质量:
    ['VE_Quick3D-0143', VE_OneDStreamType.kDropDownMenu],
    //ML2平滑:
    ['VE_Quick3D-0144', VE_OneDStreamType.kInt],
    //ML2表面采样通道:
    ['VE_Quick3D-0145', VE_OneDStreamType.kDropDownMenu],
    //ML2表面与边缘混合宽度:
    ['VE_Quick3D-0146', VE_OneDStreamType.kInt],
    //ML2表面平滑:
    ['VE_Quick3D-0147', VE_OneDStreamType.kCheckBox],
    //UV类型:
    ['VE_Quick3D-0152', VE_OneDStreamType.kDropDownMenu],
    //材质类型:
    ['VE_Quick3D-0154', VE_OneDStreamType.kDropDownMenu],
    //基础颜色类型:
    ['VE_Quick3D-0155', VE_OneDStreamType.kDropDownMenu],
    //金属度类型:
    ['VE_Quick3D-0157', VE_OneDStreamType.kDropDownMenu],
    //金属度:
    ['VE_Quick3D-0158', VE_OneDStreamType.kPercent],
    //粗糙度类型:
    ['VE_Quick3D-0159', VE_OneDStreamType.kDropDownMenu],
    //粗糙度:
    ['VE_Quick3D-0160', VE_OneDStreamType.kPercent],
    //环境光:
    ['VE_Quick3D-0161', VE_OneDStreamType.kPercent],
    //光泽度:
    ['VE_Quick3D-0162', VE_OneDStreamType.kOneDecimal],
    //Enable:
    ['VE_Quick3D-0164', VE_OneDStreamType.kCheckBox],
    //Layer:
    ['VE_Quick3D-0165', VE_OneDStreamType.kDropDownMenu],
    //Intensity:
    ['VE_Quick3D-0166', VE_OneDStreamType.kPercent],
    //启用:
    ['VE_Quick3D-0170', VE_OneDStreamType.kCheckBox],
    //深度类型:
    ['VE_Quick3D-0171', VE_OneDStreamType.kDropDownMenu],
    //渐变坐标类型:
    ['VE_Quick3D-0172', VE_OneDStreamType.kDropDownMenu],
    //X方向:
    ['VE_Quick3D-0174', VE_OneDStreamType.kAngle],
    //Y方向:
    ['VE_Quick3D-0175', VE_OneDStreamType.kAngle],
    //Z方向:
    ['VE_Quick3D-0176', VE_OneDStreamType.kAngle],
    //起点距离:
    ['VE_Quick3D-0177', VE_OneDStreamType.kInt],
    //终点距离:
    ['VE_Quick3D-0178', VE_OneDStreamType.kInt],
    //颜色数量:
    ['VE_Quick3D-0179', VE_OneDStreamType.kInt],
    //颜色位置1:
    ['VE_Quick3D-0181', VE_OneDStreamType.kPercent],
    //颜色位置2:
    ['VE_Quick3D-0183', VE_OneDStreamType.kPercent],
    //颜色位置3:
    ['VE_Quick3D-0185', VE_OneDStreamType.kPercent],
    //颜色位置4:
    ['VE_Quick3D-0187', VE_OneDStreamType.kPercent],
    //颜色位置5:
    ['VE_Quick3D-0189', VE_OneDStreamType.kPercent],
    //颜色位置6:
    ['VE_Quick3D-0191', VE_OneDStreamType.kPercent],
    //颜色位置7:
    ['VE_Quick3D-0193', VE_OneDStreamType.kPercent],
    //颜色位置8:
    ['VE_Quick3D-0195', VE_OneDStreamType.kPercent],
    //强度:
    ['VE_Quick3D-0196', VE_OneDStreamType.kPercent],
    //Enable:
    ['VE_Quick3D-0199', VE_OneDStreamType.kCheckBox],
    //缩放:
    ['VE_Quick3D-0201', VE_OneDStreamType.kOneDecimal],
    //系数:
    ['VE_Quick3D-0202', VE_OneDStreamType.kOneDecimal],
    //强度:
    ['VE_Quick3D-0203', VE_OneDStreamType.kOneDecimal],
    //UV类型:
    ['VE_Quick3D-0207', VE_OneDStreamType.kDropDownMenu],
    //材质类型:
    ['VE_Quick3D-0209', VE_OneDStreamType.kDropDownMenu],
    //基础颜色类型:
    ['VE_Quick3D-0210', VE_OneDStreamType.kDropDownMenu],
    //金属度类型:
    ['VE_Quick3D-0212', VE_OneDStreamType.kDropDownMenu],
    //金属度:
    ['VE_Quick3D-0213', VE_OneDStreamType.kPercent],
    //粗糙度类型:
    ['VE_Quick3D-0214', VE_OneDStreamType.kDropDownMenu],
    //粗糙度:
    ['VE_Quick3D-0215', VE_OneDStreamType.kPercent],
    //环境光:
    ['VE_Quick3D-0216', VE_OneDStreamType.kPercent],
    //光泽度:
    ['VE_Quick3D-0217', VE_OneDStreamType.kOneDecimal],
    //Enable:
    ['VE_Quick3D-0219', VE_OneDStreamType.kCheckBox],
    //Layer:
    ['VE_Quick3D-0220', VE_OneDStreamType.kDropDownMenu],
    //Intensity:
    ['VE_Quick3D-0221', VE_OneDStreamType.kPercent],
    //启用:
    ['VE_Quick3D-0225', VE_OneDStreamType.kCheckBox],
    //深度类型:
    ['VE_Quick3D-0226', VE_OneDStreamType.kDropDownMenu],
    //渐变坐标类型:
    ['VE_Quick3D-0227', VE_OneDStreamType.kDropDownMenu],
    //X方向:
    ['VE_Quick3D-0229', VE_OneDStreamType.kAngle],
    //Y方向:
    ['VE_Quick3D-0230', VE_OneDStreamType.kAngle],
    //Z方向:
    ['VE_Quick3D-0231', VE_OneDStreamType.kAngle],
    //起点距离:
    ['VE_Quick3D-0232', VE_OneDStreamType.kInt],
    //终点距离:
    ['VE_Quick3D-0233', VE_OneDStreamType.kInt],
    //颜色数量:
    ['VE_Quick3D-0234', VE_OneDStreamType.kInt],
    //颜色位置1:
    ['VE_Quick3D-0236', VE_OneDStreamType.kPercent],
    //颜色位置2:
    ['VE_Quick3D-0238', VE_OneDStreamType.kPercent],
    //颜色位置3:
    ['VE_Quick3D-0240', VE_OneDStreamType.kPercent],
    //颜色位置4:
    ['VE_Quick3D-0242', VE_OneDStreamType.kPercent],
    //颜色位置5:
    ['VE_Quick3D-0244', VE_OneDStreamType.kPercent],
    //颜色位置6:
    ['VE_Quick3D-0246', VE_OneDStreamType.kPercent],
    //颜色位置7:
    ['VE_Quick3D-0248', VE_OneDStreamType.kPercent],
    //颜色位置8:
    ['VE_Quick3D-0250', VE_OneDStreamType.kPercent],
    //强度:
    ['VE_Quick3D-1196', VE_OneDStreamType.kPercent],
    //Enable:
    ['VE_Quick3D-0254', VE_OneDStreamType.kCheckBox],
    //缩放:
    ['VE_Quick3D-0256', VE_OneDStreamType.kOneDecimal],
    //系数:
    ['VE_Quick3D-0257', VE_OneDStreamType.kOneDecimal],
    //强度:
    ['VE_Quick3D-0258', VE_OneDStreamType.kOneDecimal],
    //L1模式:
    ['VE_Quick3D-0265', VE_OneDStreamType.kDropDownMenu],
    //L1缩放X:
    ['VE_Quick3D-0266', VE_OneDStreamType.kOneDecimal],
    //L1缩放Y:
    ['VE_Quick3D-0267', VE_OneDStreamType.kOneDecimal],
    //L1位移X:
    ['VE_Quick3D-0268', VE_OneDStreamType.kOneDecimal],
    //L1位移Y:
    ['VE_Quick3D-0269', VE_OneDStreamType.kOneDecimal],
    //L2模式:
    ['VE_Quick3D-0273', VE_OneDStreamType.kDropDownMenu],
    //L2缩放X:
    ['VE_Quick3D-0274', VE_OneDStreamType.kOneDecimal],
    //L2缩放Y:
    ['VE_Quick3D-0275', VE_OneDStreamType.kOneDecimal],
    //L2位移X:
    ['VE_Quick3D-0276', VE_OneDStreamType.kOneDecimal],
    //L2位移Y:
    ['VE_Quick3D-0277', VE_OneDStreamType.kOneDecimal],
    //L3模式:
    ['VE_Quick3D-0281', VE_OneDStreamType.kDropDownMenu],
    //L3缩放X:
    ['VE_Quick3D-0282', VE_OneDStreamType.kOneDecimal],
    //L3缩放Y:
    ['VE_Quick3D-0283', VE_OneDStreamType.kOneDecimal],
    //L3位移X:
    ['VE_Quick3D-0284', VE_OneDStreamType.kOneDecimal],
    //L3位移Y:
    ['VE_Quick3D-0285', VE_OneDStreamType.kOneDecimal],
    //L4模式:
    ['VE_Quick3D-0289', VE_OneDStreamType.kDropDownMenu],
    //L4缩放X:
    ['VE_Quick3D-0290', VE_OneDStreamType.kOneDecimal],
    //L4缩放Y:
    ['VE_Quick3D-0291', VE_OneDStreamType.kOneDecimal],
    //L4位移X:
    ['VE_Quick3D-0292', VE_OneDStreamType.kOneDecimal],
    //L4位移Y:
    ['VE_Quick3D-0293', VE_OneDStreamType.kOneDecimal],
    //抗锯齿:
    ['VE_Quick3D-0297', VE_OneDStreamType.kDropDownMenu],
    //渲染精度:
    ['VE_Quick3D-0298', VE_OneDStreamType.kInt],
    //显示模型1控制杆:
    ['VE_Quick3D-0301', VE_OneDStreamType.kCheckBox],
    //显示模型2控制杆:
    ['VE_Quick3D-0302', VE_OneDStreamType.kCheckBox],
    //显示深度材质提示:
    ['VE_Quick3D-0303', VE_OneDStreamType.kCheckBox],
    //Output:
    ['VE_Quick3D-0306', VE_OneDStreamType.kDropDownMenu],

    //轮廓宽度:
    ['VE_3D_Neon-0002', VE_OneDStreamType.kOneDecimal],
    //Z 轴副本:
    ['VE_3D_Neon-0003', VE_OneDStreamType.kInt],
    //平滑:
    ['VE_3D_Neon-0004', VE_OneDStreamType.kInt],
    //质量:
    ['VE_3D_Neon-0005', VE_OneDStreamType.kDropDownMenu],
    //发光大小:
    ['VE_3D_Neon-0008', VE_OneDStreamType.kOneDecimal],
    //发光透明度:
    ['VE_3D_Neon-0009', VE_OneDStreamType.kPercent],
    //颜色类型:
    ['VE_3D_Neon-0012', VE_OneDStreamType.kDropDownMenu],
    //颜色数量:
    ['VE_3D_Neon-0013', VE_OneDStreamType.kInt],
    //随机种子:
    ['VE_3D_Neon-0022', VE_OneDStreamType.kInt],
    //X 位置:
    ['VE_3D_Neon-0025', VE_OneDStreamType.kInt],
    //Y 位置:
    ['VE_3D_Neon-0026', VE_OneDStreamType.kInt],
    //Z 位置:
    ['VE_3D_Neon-0027', VE_OneDStreamType.kInt],
    //X 轴旋转:
    ['VE_3D_Neon-0028', VE_OneDStreamType.kAngle],
    //Y 轴旋转:
    ['VE_3D_Neon-0029', VE_OneDStreamType.kAngle],
    //Z 轴旋转:
    ['VE_3D_Neon-0030', VE_OneDStreamType.kAngle],
    //X 轴缩放:
    ['VE_3D_Neon-0031', VE_OneDStreamType.kPercent],
    //Y 轴缩放:
    ['VE_3D_Neon-0032', VE_OneDStreamType.kPercent],
    //Z 轴缩放:
    ['VE_3D_Neon-0033', VE_OneDStreamType.kPercent],
    //X 位置:
    ['VE_3D_Neon-0035', VE_OneDStreamType.kInt],
    //Y 位置:
    ['VE_3D_Neon-0036', VE_OneDStreamType.kInt],
    //Z 位置:
    ['VE_3D_Neon-0037', VE_OneDStreamType.kInt],
    //X 轴旋转:
    ['VE_3D_Neon-0038', VE_OneDStreamType.kAngle],
    //Y 轴旋转:
    ['VE_3D_Neon-0039', VE_OneDStreamType.kAngle],
    //Z 轴旋转:
    ['VE_3D_Neon-0040', VE_OneDStreamType.kAngle],
    //X 轴缩放:
    ['VE_3D_Neon-0041', VE_OneDStreamType.kPercent],
    //Y 轴缩放:
    ['VE_3D_Neon-0042', VE_OneDStreamType.kPercent],
    //Z 轴缩放:
    ['VE_3D_Neon-0043', VE_OneDStreamType.kPercent],
    ['ADBE Effect Mask Opacity', VE_OneDStreamType.kPercent],
    ['ADBE Force CPU GPU', VE_OneDStreamType.kCheckBox],
]);

const LayerStyleBlendMode = [
    '正常',
    '溶解',
    '-$',
    '变暗',
    '相乘',
    '颜色加深',
    '线性加深',
    '深色',
    '-$',
    '变亮',
    '滤色',
    '颜色减淡',
    '线性减淡',
    '浅色',
    '-$',
    '叠加',
    '柔光',
    '强光',
    '亮光',
    '线性光',
    '点光',
    '实色混合',
    '-$',
    '差值',
    '排除',
    '色相',
    '饱和度',
    '颜色',
    '发光度',
    '-$',
    '相减',
    '相除',
];

export const DropDownTextListMap = new Map([
    ['dropShadow/mode2', LayerStyleBlendMode],
    ['solidFill/color', LayerStyleBlendMode],
    ['frameFX/mode2', LayerStyleBlendMode],
    ['frameFX/style', ['外部', '内部', '居中']],

    ['ADBE Text Anchor Point Option', ['字符', '词', '行', '全部']],
    ['ADBE Text Render Order', ['每字符调板', '全部填充在全部描边之上', '全部描边在全部填充之上']],
    [
        'ADBE Text Character Blend Mode',
        [
            '正常',
            '溶解',
            '-$',
            '变暗',
            '相乘',
            '线性加深',
            '颜色加深',
            '-$',
            '相加',
            '变亮',
            '滤色',
            '线性减淡',
            '颜色减淡',
            '-$',
            '叠加',
            '柔光',
            '强光',
            '线性光',
            '亮光',
            '点光',
            '实色混合',
            '-$',
            '差值',
            '排除',
            '-$',
            '色相',
            '饱和度',
            '颜色',
            '发光度',
        ],
    ],

    ['ADBE Box Blur2-0003', ['水平和垂直', '水平', '垂直']],
    ['ADBE Gaussian Blur 2-0002', ['水平和垂直', '水平', '垂直']],
    ['ADBE Gaussian Blur-0002', ['水平和垂直', '水平', '垂直']],
    ['VE_Look_Up_Image-0001', ['8x8', '4x4']],
    ['VE_Channel_Shift-0001', ['RGB', 'RBG', 'GRB', 'GBR', 'BRG', 'BGR']],
    ['VE_Super_Frame-0001', ['Stretch XY', 'Stretch XY']],
    ['VE_Super_Frame-0010', ['Aspect Fill', 'Aspect Fit', 'Stretch']],
    ['VE_Super_Frame-0017', ['On Top', 'Behind']],
    ['VE_Super_Mosaic-0001', ['Square', 'Triangle']],
    ['VE_Super_Mosaic-0009', ['Linear', 'Radial In', 'Radial Out']],
    ['VE_Super_Glitch-0001', ['Block Glitch', 'Bad TV']],
    ['CC Radial Blur-0001', ['直变焦', '衰减变焦', '中心变焦', '旋转', '拉伸', '旋转变焦']], // ['Straight Zoom', 'Fading Zoom', 'Centered Zoom', 'Rotate', 'Scratch', 'Rotate Fading']
    ['VE_Shape_Echo-0001', ['Circle', 'Ring', 'Cross', 'Triangle', 'Rectangle', 'Hexagon', 'Octagon', 'T Shape', 'Chevron']],
    ['VE_Shape_Echo-0006', ['Fill Outside', 'Fill Inside']],
    ['VE_Shape_Echo-0009', ['Shadow', 'Stroke']],
    ['VE_Half_Tone-0007', ['亮度', '红色', '绿色', '蓝色']],
    ['VE_Fill-0001', ['Solid Color', 'Linear Gradient', 'Radial Gradient', 'Sweep Gradient']],
    ['VE_Fill-0010', ['Normal', 'Multiply', 'Add', 'Screen', 'Overlay', 'Replace']],
    ['VE_Super_Pattern-0003', ['Circle', 'Ring', 'Heart', 'Cross', 'Triangle', 'Rectangle', 'Hexagon', 'Octagon', 'T Shape', 'Chevron', 'Custom Layer']],
    ['VE_Super_Pattern-0006', ['Fit Small', 'Fit Big', 'Stretch', 'Sample Map']],
    ['VE_Super_Pattern-0008', ['None', 'Mirror H', 'Mirror V', 'Mirror Both']],
    ['VE_Super_Pattern-0010', ['Linear', 'Random']],
    ['VE_Super_Pattern-0039', ['By Row', 'By Column']],
    ['VE_Super_Pattern-0043', ['Left On Top', 'Right On Top']],
    ['VE_Super_Pattern-0044', ['Top On Top', 'Bottom On Top']],
    ['VE_Displacement_Map-0002', ['Pattern', 'Layer']],
    ['VE_Displacement_Map-0017', ['Luma', 'Red', 'Green', 'Blue', 'Alpha']],
    ['VE_Displacement_Map-0033', ['Normal', 'Repeat', 'Mirror', 'Clamp']],
    ['VE_Glow-0004', ['Multiply', 'Add', 'Lighten', 'Screen', 'Overlay']],
    ['VE_Fast_Blur-0001', ['1x', '2x', '3x', '4x', '5x', '6x', '7x', '8x']],
    ['VE_Linear_Wipe-0004', ['Alpha', 'Lines', 'Blocks', 'Circles']],
    ['VE_Neon-0001', ['内霓虹', '外霓虹']], // ['Inner Neon', 'Outer Neon']
    ['VE_Neon-0007', ['由里到外', '由外到里', '随机']], // ['Inner->Outer', 'Outer->Inner', 'Random']
    ['VE_Neon-0012', ['循环', '随机', '渐变']], // ['Loop', 'Random', 'Gradient']
    ['VE_Neon-0031', ['Only Neon', 'Neon And Origin']], // ['仅霓虹光效', '霓虹光效和源']
    ['VE_Neon-0032', ['Extreme', 'High', 'Medium', 'Low']], // ['极高', '高', '中等', '低']
    ['VE_3D_Bevel-0015', ['Color', 'Custom Layer', 'Golden', 'Cyber Punk', 'Rainbow']],
    ['VE_3D_Bevel-0024', ['High', 'Medium', 'Low']],
    ['VE_3D_Bevel-0038', ['Point Light', 'Parallel Light']],
    ['VE_3D_Bevel-0040', ['Point Light', 'Parallel Light']],
    ['VIDEOCOPILOT VCReflect-0008', ['Directional', 'Falloff']],
    ['VIDEOCOPILOT VCReflect-0012', ['Composite', 'Behind Original', 'Reflection Only']],
    ['VE_Transition_Kit-0002', ['Normal', 'Repeat', 'Mirror']],
    ['VE_Transition_Kit-0008', ['Ping Pong', 'Static End']],
    ['VE_Transition_Kit-0011', ['Ping Pong', 'Static End']],
    ['VE_Transition_Kit-0013', ['Ping Pong', 'Static End']],
    ['VE_Transition_Kit-0025', ['Ping Pong', 'Static End']],
    ['VE_Slicer-0010', ['正常', '重复', '镜像', '固定']], // ['Normal', 'Repeat', 'Mirror', 'Clamp']
    ['VE_Camera_Blur-0001', ['圆形', '六边形', '五边形']], //  ['VE_Camera_Blur-0001', ['Circular', 'Hexagon', 'Pentagon']],
    ['VE_Camera_Blur-0007', ['无', '线性2色', '线性3色', '圆形', '方形', '自定义图层']], // ['None', 'Linear 2 colors', 'Linear 3 colors', 'Circle', 'Square', 'Custom Layer']],
    ['VE_Camera_Blur-0003', ['高质量（渲染慢）', '中等质量', '低质量（渲染快）']], // ['High->Slow', 'Medium', 'Low->Fast']],
    ['ADBE Fast Blur-0002', ['水平和垂直', '水平', '垂直']],
    ['ADBE Text Track Type', ['之前和之后', '之前', '之后']],
    ['ADBE Text Character Change Type', ['左侧或顶部', '中心', '右侧或底部', '调整字偶间距']],
    ['ADBE Text Character Range', ['保留大小写及数位', '完整的 Unicode']],
    ['ADBE Text Selector Mode', ['相加', '相减', '相交', '最小值', '最大值', '差值']],
    ['ADBE Text Range Type2', ['字符', '不包括空格的字符', '词', '行']],
    ['ADBE Text Range Units', ['百分比', '索引']],
    ['ADBE Text Range Shape', ['正方形', '上斜坡', '下斜坡', '三角形', '圆形', '平滑']],
    [
        'ADBE Vector Blend Mode',
        [
            '正常',
            '-$',
            '变暗',
            '色彩增殖',
            '颜色加深',
            '线性加深',
            '深色',
            '-$',
            '变亮',
            '滤色',
            '颜色减淡',
            '线性减淡',
            '浅色',
            '-$',
            '叠加',
            '柔光',
            '强光',
            '线性光',
            '亮光',
            '点光',
            '实色混合',
            '-$',
            '差值',
            '排除',
            '-$',
            '色相',
            '饱和度',
            '颜色',
            '发光度',
        ],
    ],
    ['ADBE Vector Composite Order', ['在同组中前一个之下', '在同组中前一个之上']],
    ['ADBE Vector Stroke Line Cap', ['平头端点', '圆头端点', '矩形端点']],
    ['ADBE Vector Stroke Line Join', ['斜接连接', '圆角连接', '斜面连接']],
    ['ADBE Vector Fill Rule', ['非零环绕', '奇偶']],
    ['ADBE Vector Merge Type', ['合并', '相加', '相减', '相交', '排除交集']],
    ['ADBE Vector Star Type', ['星形', '多边形']],
    ['ADBE Vector Offset Line Join', ['斜接连接', '圆角连接', '斜面连接']],
    ['ADBE Vector Repeater Order', ['之下', '之上']],
    ['ADBE Vector Trim Type', ['同时', '单独']],
    ['ADBE Vector Zigzag Points', ['边角', '平滑']],
    ['ADBE Vector Roughen Points', ['边角', '平滑']],
    ['ADBE Light Falloff Type', ['无', '平滑', '反向正方形已固定']],
    ['ADBE Iris Shape', ['快矩形', '-$', '三角形', '正方形', '五边形', '六边形', '七边形', '八边形', '九边形', '十边形']],
    [
        'VE_SuperGrid-0002',
        [
            '0-0',
            '1-1',
            '1-2',
            '2-1',
            '2-2',
            '2-3',
            '2-4',
            '2-5',
            '2-6',
            '2-7',
            '2-8',
            '2-9',
            '2-10',
            '3-1',
            '3-2',
            '3-3',
            '3-4',
            '3-5',
            '3-6',
            '3-7',
            '3-8',
            '3-9',
            '3-10',
            '3-11',
            '3-12',
            '3-13',
            '3-14',
            '4-1',
            '4-2',
            '4-3',
            '4-4',
            '4-5',
            '4-6',
            '4-7',
            '4-8',
            '4-9',
            '4-10',
            '4-11',
            '4-12',
            '4-13',
            '4-14',
            '4-15',
            '4-16',
            '5-1',
            '5-2',
            '5-3',
            '5-4',
            '5-5',
            '5-6',
            '5-7',
            '5-8',
            '5-9',
            '5-10',
            '5-11',
            '5-12',
            '5-13',
            '5-14',
            '6-1',
            '6-2',
            '6-3',
            '6-4',
            '6-5',
            '6-6',
            '6-7',
            '6-8',
            '6-9',
            '6-10',
            '7-1',
            '7-2',
            '7-3',
            '7-4',
            '7-5',
            '7-6',
            '7-7',
            '7-8',
            '7-9',
            '7-10',
            '7-11',
            '7-12',
            '7-13',
            '8-1',
            '8-2',
            '8-3',
            '8-4',
            '8-5',
            '8-6',
            '8-7',
            '8-8',
            '8-9',
            '8-10',
            '8-11',
            '8-12',
            '8-13',
            '9-1',
            '9-2',
            '9-3',
            '9-4',
            '9-5',
            '9-6',
            '9-7',
            '9-8',
            '9-9',
            '9-10',
            '9-11',
            '9-12',
        ],
    ],
    ['VE_SuperGrid-0003', ['不适配', '填充', '拉伸', '适配宽度', '适配高度', '自动适配']], // ['VE_SuperGrid-0003', ['None', 'Fill', 'Stretch', 'Fit Width', 'Fit Height', 'Fit Best']],
    ['VE_Glass-0002', ['亚克力', '磨砂', '3D 折射']], // ['VE_Glass-0002', ['Acrylic', 'Frosted', '3D Refraction']],
    ['VE_Glass-0004', ['极强', '高', '中', '低', '无']], // ['VE_Glass-0004', ['Extreme', 'High', 'Medium', 'Low', 'None']],
    ['VE_Glass-0026', ['颜色', '图层']], // ['VE_Glass-0026', ['Color', 'Layer']],
    ['VE_Pixel_Screen-0003', ['无', '慢', '快']], // ['VE_Pixel_Screen-0003', ['None', 'Slow', 'Normal']],
    ['VE_Game_Screen-0002', ['Game Boy', 'ZX Spectrum', '8 bit']],
    ['CC Image Wipe-0006', ['红', '绿', '蓝', 'Alpha', '亮度', '明亮度', '色相', '饱和度']], // ['Red', 'Green', 'Blue', 'Alpha', 'Luminance', 'Lightness', 'Hue', 'Saturation']
    ['ADBE Shift Channels-0001', ['Alpha', '红色', '绿色', '蓝色', '明亮度', '色相', '亮度', '饱和度', '完全打开', '完全关闭']],
    ['ADBE Shift Channels-0002', ['Alpha', '红色', '绿色', '蓝色', '明亮度', '色相', '亮度', '饱和度', '完全打开', '完全关闭']],
    ['ADBE Shift Channels-0003', ['Alpha', '红色', '绿色', '蓝色', '明亮度', '色相', '亮度', '饱和度', '完全打开', '完全关闭']],
    ['ADBE Shift Channels-0004', ['Alpha', '红色', '绿色', '蓝色', '明亮度', '色相', '亮度', '饱和度', '完全打开', '完全关闭']],
    ['CC Light Wipe-0004', ['Doors', 'Round', 'Square']],

    //材质
    ['VE_Quick3D-0004', ['材质1', '材质2', '只显投影']],
    //模型类型:
    ['VE_Quick3D-0005', ['无', '图层挤出', '平面', '球', '立方体', '圆柱', '圆环', '金字塔', '三棱柱']],
    //模型图层:
    ['VE_Quick3D-0006', ['模型图层1', '模型图层2']],
    //倒角样式:
    ['VE_Quick3D-0018', ['正常切角', '圆滑切角', '无切角']],
    //倒角样式:
    ['VE_Quick3D-0020', ['正常切角', '圆滑切角', '无切角']],
    //弯曲轴:
    ['VE_Quick3D-0027', ['X轴', 'Y轴', 'Z轴']],
    //侵蚀等级:
    ['VE_Quick3D-0034', ['低细节', '中等细节', '高细节']],
    //材质
    ['VE_Quick3D-0067', ['材质1', '材质2', '只显投影']],
    //模型类型:
    ['VE_Quick3D-0068', ['无', '图层挤出', '平面', '球', '立方体', '圆柱', '圆环', '金字塔', '三棱柱']],
    //模型图层:
    ['VE_Quick3D-0069', ['模型图层1', '模型图层2']],
    //倒角样式:
    ['VE_Quick3D-0081', ['正常切角', '圆滑切角', '无切角']],
    //倒角样式:
    ['VE_Quick3D-0083', ['正常切角', '圆滑切角', '无切角']],
    //弯曲轴:
    ['VE_Quick3D-0090', ['X轴', 'Y轴', 'Z轴']],
    //侵蚀等级:
    ['VE_Quick3D-0097', ['低细节', '中等细节', '高细节']],
    //模型混合:
    ['VE_Quick3D-0129', ['正常', '合并', '模型1-模型2', '模型2-模型1', '相交', '变形']],
    //ML1质量:
    ['VE_Quick3D-0135', ['极其精确 - 渲染慢', '精确 - 渲染慢', '中精度', '低精度 - 渲染快']],
    //ML1表面采样通道:
    ['VE_Quick3D-0137', ['边缘距离', '亮度', '红', '绿', '蓝']],
    //ML2质量:
    ['VE_Quick3D-0143', ['极其精确 - 渲染慢', '精确 - 渲染慢', '中精度', '低精度 - 渲染快']],
    //ML2表面采样通道:
    ['VE_Quick3D-0145', ['边缘距离', '亮度', '红', '绿', '蓝']],
    //UV类型:
    ['VE_Quick3D-0152', ['多面混合UV', '立方体UV', '球形UV', '正面UV']],
    //材质类型:
    ['VE_Quick3D-0154', ['无材质', 'Blinn Phong', '物理材质']],
    //基础颜色类型:
    ['VE_Quick3D-0155', ['颜色', '图层1', '图层2', '图层3', '图层4']],
    //金属度类型:
    ['VE_Quick3D-0157', ['数值', '图层1', '图层2', '图层3', '图层4']],
    //粗糙度类型:
    ['VE_Quick3D-0159', ['数值', '图层1', '图层2', '图层3', '图层4']],
    //Layer:
    ['VE_Quick3D-0165', ['Layer Map 1', 'Layer Map 2', 'Layer Map 3', 'Layer Map 4']],
    //深度类型:
    ['VE_Quick3D-0171', ['线性渐变', '放射渐变', '摄像机深度']],
    //渐变坐标类型:
    ['VE_Quick3D-0172', ['全局坐标', '局部坐标']],

    //UV类型:
    ['VE_Quick3D-0207', ['多面混合UV', '立方体UV', '球形UV', '正面UV']],
    //材质类型:
    ['VE_Quick3D-0209', ['无材质', 'Blinn Phong', '物理材质']],
    //基础颜色类型:
    ['VE_Quick3D-0210', ['颜色', '图层1', '图层2', '图层3', '图层4']],
    //金属度类型:
    ['VE_Quick3D-0212', ['数值', '图层1', '图层2', '图层3', '图层4']],
    //粗糙度类型:
    ['VE_Quick3D-0214', ['数值', '图层1', '图层2', '图层3', '图层4']],
    //Layer:
    ['VE_Quick3D-0220', ['Layer Map 1', 'Layer Map 2', 'Layer Map 3', 'Layer Map 4']],
    //深度类型:
    ['VE_Quick3D-0226', ['线性渐变', '放射渐变', '摄像机深度']],
    //渐变坐标类型:
    ['VE_Quick3D-0227', ['全局坐标', '局部坐标']],

    ['VE_Quick3D-0265', ['正常', '重复', '镜像', '裁切']],
    ['VE_Quick3D-0273', ['正常', '重复', '镜像', '裁切']],
    ['VE_Quick3D-0281', ['正常', '重复', '镜像', '裁切']],
    ['VE_Quick3D-0289', ['正常', '重复', '镜像', '裁切']],

    ['VE_Quick3D-0297', ['无', '轻微 - 渲染较快', '低质量', '中等质量', '高质量 - 渲染慢']],

    ['VE_Quick3D-0306', ['Final Result', 'Distance', 'Steps', 'Normal']],

    //质量:
    ['VE_3D_Neon-0005', ['极高', '高', '中', '低']],
    //颜色类型:
    ['VE_3D_Neon-0012', ['循环', '随机', '渐变', '图层颜色']],
]);

export const MatchNameTwoDTypeMap = new Map([
    ['ADBE Vector Scale', VE_TwoDStreamType.kTwoDScale],
    ['ADBE Vector Rect Size', VE_TwoDStreamType.kTwoDScale],
    ['ADBE Vector Ellipse Size', VE_TwoDStreamType.kTwoDScale],
]);

export const MatchNameThreeDTypeMap = new Map([
    ['ADBE Orientation', VE_ThreeDStreamType.kThreeDAngle],
    ['ADBE Scale', VE_ThreeDStreamType.kThreeDScale],
    ['ADBE Text Scale 3D', VE_ThreeDStreamType.kThreeDScale],
]);

export const VariableThreeDStream = ['ADBE Position', 'ADBE Anchor Point', 'ADBE Scale', 'ADBE Text Scale 3D', 'ADBE Text Anchor Point 3D', 'ADBE Text Position 3D'];