"use strict";

import { evalScript } from "brutalism";

export var CMDRunner = (function () {
    function CMDRunner() {

    }

    CMDRunner.cmd = require('child_process').exec;
    CMDRunner.interface = null

    CMDRunner.runCmdsNew = function (cmdData, callback) {
        let cmdStrArr = cmdData.cmds
        if (typeof cmdStrArr != "undefined" && cmdStrArr.length > 0) {
            let cmdStr = cmdStrArr[0]
            cmdStrArr.splice(0, 1)
            if (cmdStr.length == 0) {
                callback("empty cmd", null, "empty cmd")
            } else {
                CMDRunner.runCmd(cmdStr, cmdData, function (err, stdout, stderr) {
                    if (err || cmdStrArr.length == 0) {
                        callback(err, stdout, stderr)
                    } else {
                        CMDRunner.runCmds(cmdStrArr, cmdData, callback)
                    }
                })
            }
        } else {
            callback("no cmd", null, "no cmd")
        }
    }

    CMDRunner.runCmd = function (cmdStr, cmdData, callback) {
        if (cmdStr.indexOf("pngquant_nofile:") == 0) {
            let cmd = cmdStr.slice("pngquant_nofile:".length)
            let folder = cmdData.folder.replace(/\\/g, "\/")
            let baseName = cmdData.name
            if (cmd.length > 0 && (typeof folder == "string" && folder.length > 0) && (typeof baseName == "string" && baseName.length > 0)) {
                const fs = require("fs");
                let files = fs.readdirSync(folder)
                if (files.length > 0) {
                    let cmds = []
                    let tempFolder = "C:/pngquant_temp"
                    if (CMDRunner.isWin()) {
                        cmds.push("xcopy \"" + folder + "\" \"" + tempFolder + "\" /e /I /Y")
                    }
                    for (let f = 0; f < files.length; f++) {
                        let name = files[f]
                        if (name.lastIndexOf(".png") == name.length - 4) {
                            let path = tempFolder + "/" + name
                            if (CMDRunner.isMac()) {
                                path = folder + "/" + name
                            }
                            cmds.push(cmd + '"' + path + '" --output "' + path + '"')
                        }
                    }
                    if (CMDRunner.isWin()) {
                        cmds.push("xcopy \"" + tempFolder + "\" \"" + folder + "\" /e /I /Y")
                        cmds.push("rd /s/q \"" + tempFolder + "\"")
                    }

                    CMDRunner.runCmds(cmds, cmdData, callback)
                }
            }
        } else if (cmdStr.indexOf("need_update_state:") == 0) {
            //执行 cmd 后需要向 jsx 返回数据以更新 scriptUI 界面
            let jsonStr = cmdStr.slice("need_update_state:".length)
            let jsonObj = JSON.parse(jsonStr)
            if (jsonObj.name && jsonObj.cmd) {
                CMDRunner.cmd(jsonObj.cmd, (err, stdout, stderr) => {
                    if (err) {
                        evalScript('LeapBox.UpdateCompressState("' + jsonObj.name + '", 2)')
                    } else {
                        evalScript('LeapBox.UpdateCompressState("' + jsonObj.name + '", 1)')
                    }
                    callback(err, stdout, stderr)
                })
            }
        } else {
            CMDRunner.cmd(cmdStr, callback)
        }
    }

    CMDRunner.runCmds = function (cmdStrArr, cmdData, callback) {
        if (cmdStrArr.length > 0) {
            let cmdStr = cmdStrArr[0]
            cmdStrArr.splice(0, 1)
            if (cmdStr.length == 0) {
                callback("empty cmd", null, "empty cmd")
            } else {
                CMDRunner.runCmd(cmdStr, cmdData, function (err, stdout, stderr) {
                    if (err || cmdStrArr.length == 0) {
                        callback(err, stdout, stderr)
                    } else {
                        CMDRunner.runCmds(cmdStrArr, cmdData, callback)
                    }
                })
            }
        }
    }

    CMDRunner.isWin = function () {
        let OSVersion = CMDRunner.interface.getOSInformation();
        if (OSVersion.indexOf("Windows") >= 0) {
            return true;
        }
        return false
    }

    CMDRunner.isMac = function () {
        let OSVersion = CMDRunner.interface.getOSInformation();
        if (OSVersion.indexOf("Mac") >= 0) {
            return true;
        }
        return false
    }

    CMDRunner.escapeString = function (str) {
        return (str + '').replace(/[\\"']/g, '\\$&').replace(/\u0000/g, '\\0');
    }

    CMDRunner.extensionRoot = function(){
		return CMDRunner.interface.getSystemPath(SystemPath.EXTENSION) + "/";
	}
	
	CMDRunner.binFolder = function(){
		return CMDRunner.interface.getSystemPath(SystemPath.EXTENSION) + "/.bin/";
	}

	CMDRunner.hostRoot = function(){
		let appPath = CMDRunner.interface.getSystemPath(SystemPath.HOST_APPLICATION)
		if (CMDRunner.isWin()) {
			return appPath.substr(0, appPath.lastIndexOf("AfterFX.exe"))
		}else{
			let lastIndex = appPath.lastIndexOf("Adobe After Effects CC")
			if(lastIndex == null || typeof(lastIndex) == "undefined" || lastIndex < 0){
				lastIndex = appPath.lastIndexOf("Adobe After Effects 20");
			}
			return appPath.substr(0, lastIndex);
		}
	}

    CMDRunner.appScriptFolder = function() {
		return CMDRunner.hostRoot() + "Scripts/ScriptUI Panels"
	}

    return CMDRunner;
}());